Mailboxes
Deny a mailbox action
Denies an action waiting for approval with a reason and returns it without executing it.
Denies an action waiting for approval with a reason and returns it without executing it. Only a person signed in or through OAuth may deny, and never the one who proposed it.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^mbx_[0-9a-hjkmnp-tv-z]{16,24}$actionId*string
Match
^mbxact_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
reason*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/mailboxes/string/actions/string/deny" \ -H "Content-Type: application/json" \ -d '{ "reason": "string" }'{ "id": "string", "type": "sendMessage", "state": "proposed", "source": "humanUi", "proposedBy": { "kind": "user", "id": "string", "displayName": "string" }, "threadId": "string", "draftId": "string", "decision": { "outcome": "allow", "reason": "string", "policyId": "string", "decidedAt": "string" }, "createdAt": "string", "updatedAt": "string"}